## zathura 0.3.8

=== Makefile ===
# See LICENSE file for license and copyright information

include config.mk
include colors.mk
include common.mk

# source files
OSOURCE       = $(sort $(wildcard ${PROJECT}/*.c) \
                ${PROJECT}/resources.c)
SOURCE_FILTER =

ifneq (${WITH_SQLITE},0)
CPPFLAGS += -DWITH_SQLITE
else
SOURCE_FILTER += ${PROJECT}/database-sqlite.c
endif

ifneq ($(WITH_MAGIC),0)
CPPFLAGS += -DWITH_MAGIC
endif

ifneq ($(WITH_SYNCTEX),0)
CPPFLAGS += -DWITH_SYNCTEX
endif

ifneq ($(wildcard ${VALGRIND_SUPPRESSION_FILE}),)
VALGRIND_ARGUMENTS += --suppressions=${VALGRIND_SUPPRESSION_FILE}
endif

ifeq (,$(findstring -DZATHURA_PLUGINDIR,${CPPFLAGS}))
CPPFLAGS += -DZATHURA_PLUGINDIR=\"${PLUGINDIR}\"
endif
ifeq (,$(findstring -DGETTEXT_PACKAGE,${CPPFLAGS}))
CPPFLAGS += -DGETTEXT_PACKAGE=\"${PROJECT}\"
endif
ifeq (,$(findstring -DLOCALEDIR,${CPPFLAGS}))
CPPFLAGS += -DLOCALEDIR=\"${LOCALEDIR}\"
endif

SOURCE        = $(filter-out $(SOURCE_FILTER),$(OSOURCE))
OBJECTS       = $(addprefix ${BUILDDIR_RELEASE}/,${SOURCE:.c=.o})
OBJECTS_DEBUG = $(addprefix ${BUILDDIR_DEBUG}/,${SOURCE:.c=.o})
OBJECTS_GCOV  = $(addprefix ${BUILDDIR_GCOV}/,${SOURCE:.c=.o})
HEADERINST    = $(addprefix ${PROJECT}/,version.h document.h macros.h page.h types.h plugin-api.h links.h)

all: options ${PROJECT} po build-manpages

# pkg-config based version checks
.version-checks/%: config.mk
	$(QUIET)test $($(*)_VERSION_CHECK) -eq 0 || \
		${PKG_CONFIG} --atleast-version $($(*)_MIN_VERSION) $($(*)_PKG_CONFIG_NAME) || ( \
		echo "The minimum required version of $(*) is $($(*)_MIN_VERSION)" && \
		false \
	)
	@mkdir -p .version-checks
	$(QUIET)touch $@

options:
	@echo ${PROJECT} build options:
	@echo "CFLAGS  = ${CFLAGS}"
	@echo "LIBS    = ${LIBS}"
	@echo "DFLAGS  = ${DFLAGS}"
	@echo "CC      = ${CC}"

# generated files

${PROJECT}/version.h: ${PROJECT}/version.h.in config.mk
	$(QUIET)sed -e 's/ZVMAJOR/${ZATHURA_VERSION_MAJOR}/' \
		-e 's/ZVMINOR/${ZATHURA_VERSION_MINOR}/' \
		-e 's/ZVREV/${ZATHURA_VERSION_REV}/' \
		-e 's/ZVAPI/${ZATHURA_API_VERSION}/' \
		-e 's/ZVABI/${ZATHURA_ABI_VERSION}/' ${PROJECT}/version.h.in > ${PROJECT}/version.h.tmp
	$(QUIET)mv ${PROJECT}/version.h.tmp ${PROJECT}/version.h

${PROJECT}/resources.%: data/zathura.gresource.xml config.mk
	$(call colorecho,GEN,$@)
	@mkdir -p ${DEPENDDIR}/$(dir $@)
	$(QUIET)$(GLIB_COMPILE_RESOURCES) --generate --c-name=zathura_resources --internal \
		--dependency-file=$(DEPENDDIR)/$@.dep \
		--sourcedir=data --target=$@ data/zathura.gresource.xml

# common dependencies

${OBJECTS} ${OBJECTS_DEBUG} ${OBJECTS_GCOV}: config.mk \
	.version-checks/GIRARA \
	.version-checks/GLIB \
	.version-checks/GTK \
	${PROJECT}/version.h \
	${PROJECT}/resources.h

# rlease build

${BUILDDIR_RELEASE}/%.o: %.c
	$(call colorecho,CC,$<)
	@mkdir -p ${DEPENDDIR}/$(dir $@)
	@mkdir -p $(dir $(abspath $@))
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} -o $@ $< -MMD -MF ${DEPENDDIR}/$@.dep

${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}: ${OBJECTS}
	$(call colorecho,CC,$@)
	@mkdir -p ${BUILDDIR_RELEASE}/${BINDIR}
	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} \
		-o ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT} ${OBJECTS} ${LIBS}

${PROJECT}: ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}

release: ${PROJECT}

run: release
	$(QUIET)./${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}

# debug build

${BUILDDIR_DEBUG}/%.o: %.c
	$(call colorecho,CC,$<)
	@mkdir -p ${DEPENDDIR}/$(dir $@)
	@mkdir -p $(dir $(abspath $@))
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} \
		-o $@ $< -MMD -MF ${DEPENDDIR}/$@.dep

${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}: ${OBJECTS_DEBUG}
	$(call colorecho,CC,$@)
	@mkdir -p ${BUILDDIR_DEBUG}/${BINDIR}
	$(QUIET)${CC} ${LDFLAGS} \
		-o ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT} ${OBJECTS_DEBUG} ${LIBS}

debug: ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}

run-debug: debug
	$(QUIET)./${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}

# gcov build

${BUILDDIR_GCOV}/%.o: %.c
	$(call colorecho,CC,$<)
	@mkdir -p ${DEPENDDIR}/$(dir $@)
	@mkdir -p $(dir $(abspath $@))
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${GCOV_CFLAGS} \
		-o $@ $< -MMD -MF ${DEPENDDIR}/$@.dep

${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}: ${OBJECTS_GCOV}
	$(call colorecho,CC,$@)
	@mkdir -p ${BUILDDIR_GCOV}/${BINDIR}
	$(QUIET)${CC} ${LDFLAGS} ${GCOV_CFLAGS} ${GCOV_LDFLAGS} \
		-o ${BUILDDIR_GCOV}/${BINDIR}/${PROJECT} ${OBJECTS_GCOV} ${LIBS}

gcov: options ${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}
	$(QUIET)${MAKE} -C tests run-gcov
	$(call colorecho,LCOV,"Analyse data")
	$(QUIET)${LCOV_EXEC} ${LCOV_FLAGS}
	$(call colorecho,LCOV,"Generate report")
	$(QUIET)${GENHTML_EXEC} ${GENHTML_FLAGS}

run-gcov: ${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}
	$(QUIET)./${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}

# clean

clean:
	$(QUIET)rm -rf \
		${BUILDDIR} \
		${DEPENDDIR} \
		${TARFILE} \
		${TARDIR} \
		${PROJECT}.pc \
		${PROJECT}/version.h \
		${PROJECT}/version.h.tmp \
		${PROJECT}/resources.c \
		${PROJECT}/resources.h \
		$(PROJECT).info \
		gcov \
		.version-checks
	$(QUIET)$(MAKE) -C tests clean
	$(QUIET)$(MAKE) -C po clean
	$(QUIET)$(MAKE) -C doc clean

${PROJECT}.pc: ${PROJECT}.pc.in config.mk
	$(QUIET)echo project=${PROJECT} > ${PROJECT}.pc
	$(QUIET)echo version=${VERSION} >> ${PROJECT}.pc
	$(QUIET)echo apiversion=${ZATHURA_API_VERSION} >> ${PROJECT}.pc
	$(QUIET)echo abiversion=${ZATHURA_ABI_VERSION} >> ${PROJECT}.pc
	$(QUIET)echo includedir=${INCLUDEDIR} >> ${PROJECT}.pc
	$(QUIET)echo plugindir=${PLUGINDIR} >> ${PROJECT}.pc
	$(QUIET)echo GTK_VERSION=3 >> ${PROJECT}.pc
	$(QUIET)cat ${PROJECT}.pc.in >> ${PROJECT}.pc

valgrind: debug
	 $(QUIET)G_SLICE=always-malloc G_DEBUG=gc-friendly ${VALGRIND} ${VALGRIND_ARGUMENTS} \
		 ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}

gdb: debug
	$(QUIET)cgdb ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}

test: ${OBJECTS}
	$(QUIET)$(MAKE) -C tests run

dist: clean build-manpages
	$(QUIET)tar -czf $(TARFILE) --exclude=.gitignore \
		--transform 's,^,zathura-$(VERSION)/,' \
		`git ls-files` \
		doc/_build/$(PROJECT).1 doc/_build/$(PROJECT)rc.5

doc:
	$(QUIET)$(MAKE) -C doc

po:
	$(QUIET)${MAKE} -C po

update-po:
	$(QUIET)${MAKE} -C po update-po

build-manpages:
	$(QUIET)${MAKE} -C doc man

install-manpages: build-manpages
	$(call colorecho,INSTALL,"man pages")
	$(QUIET)mkdir -m 755 -p ${DESTDIR}${MANPREFIX}/man1 ${DESTDIR}${MANPREFIX}/man5
ifneq "$(wildcard doc/_build/${PROJECT}.1)" ""
	$(QUIET)install -m 644 doc/_build/${PROJECT}.1 ${DESTDIR}${MANPREFIX}/man1
endif
ifneq "$(wildcard doc/_build/${PROJECT}rc.5)" ""
	$(QUIET)install -m 644 doc/_build/${PROJECT}rc.5 ${DESTDIR}${MANPREFIX}/man5
endif

install-headers: ${PROJECT}.pc
	$(call colorecho,INSTALL,"header files")
	$(QUIET)mkdir -m 755 -p ${DESTDIR}${INCLUDEDIR}/${PROJECT}
	$(QUIET)install -m 644 ${HEADERINST} ${DESTDIR}${INCLUDEDIR}/${PROJECT}

	$(call colorecho,INSTALL,"pkgconfig file")
	$(QUIET)mkdir -m 755 -p ${DESTDIR}${LIBDIR}/pkgconfig
	$(QUIET)install -m 644 ${PROJECT}.pc ${DESTDIR}${LIBDIR}/pkgconfig

install-dbus:
	$(call colorecho,INSTALL,"D-Bus interface definitions")
	$(QUIET)mkdir -m 755 -p $(DESTDIR)$(DBUSINTERFACEDIR)
	$(QUIET)install -m 644 data/org.pwmt.zathura.xml $(DESTDIR)$(DBUSINTERFACEDIR)

install-appdata:
	$(call colorecho,INSTALL,"AppData file")
	$(QUIET)mkdir -m 755 -p $(DESTDIR)$(APPDATAPREFIX)
	$(QUIET)install -m 644 data/$(PROJECT).appdata.xml $(DESTDIR)$(APPDATAPREFIX)

install: all install-headers install-manpages install-dbus install-appdata
	$(call colorecho,INSTALL,"executeable file")
	$(QUIET)mkdir -m 755 -p ${DESTDIR}${PREFIX}/bin
	$(QUIET)install -m 755 ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT} ${DESTDIR}${PREFIX}/bin
	$(QUIET)mkdir -m 755 -p ${DESTDIR}${DESKTOPPREFIX}
	$(call colorecho,INSTALL,"desktop file")
	$(QUIET)install -m 644 ${PROJECT}.desktop ${DESTDIR}${DESKTOPPREFIX}
	$(MAKE) -C po install

uninstall-headers:
	$(call colorecho,UNINSTALL,"header files")
	$(QUIET)rm -rf ${DESTDIR}${INCLUDEDIR}/${PROJECT}
	$(call colorecho,UNINSTALL,"pkgconfig file")
	$(QUIET)rm -f ${DESTDIR}${LIBDIR}/pkgconfig/${PROJECT}.pc

uninstall: uninstall-headers
	$(ECHO) removing executable file
	$(call colorecho,UNINSTALL,"executeable")
	$(QUIET)rm -f ${DESTDIR}${PREFIX}/bin/${PROJECT}
	$(call colorecho,UNINSTALL,"man pages")
	$(QUIET)rm -f ${DESTDIR}${MANPREFIX}/man1/${PROJECT}.1
	$(QUIET)rm -f ${DESTDIR}${MANPREFIX}/man5/${PROJECT}rc.5
	$(call colorecho,UNINSTALL,"desktop file")
	$(QUIET)rm -f ${DESTDIR}${DESKTOPPREFIX}/${PROJECT}.desktop
	$(call colorecho,UNINSTALL,"D-Bus interface definitions")
	$(QUIET)rm -f $(DESTDIR)$(DBUSINTERFACEDIR)/org.pwmt.zathura.xml
	$(call colorecho,UNINSTALL,"AppData file")
	$(QUIET)rm -f $(DESTDIR)$(APPDATAPREFIX)/$(PROJECT).appdata.xml
	$(MAKE) -C po uninstall

DEPENDS = ${DEPENDDIRS:^=${DEPENDDIR}/}$(addprefix ${DEPENDDIR}/,${OBJECTS:.o=.o.dep})
-include ${DEPENDS}

.PHONY: all options clean doc debug valgrind gdb dist doc install uninstall \
	test po install-headers uninstall-headers update-po install-manpages \
	build-manpages install-dbus

=== doc/Makefile ===
# See LICENSE file for license and copyright information
#
include ../config.mk
include ../common.mk
include ../colors.mk
include config.mk

MAN_SOURCES=$(wildcard man/*.rst) $(wildcard man/*.txt) man/conf.py
DOXYGEN_SOURCES=$(wildcard ../zathura/*.h) Doxyfile
HTML_SOURCES=$(wildcard *.rst api/*.rst configuration/*.rst installation/*.rst usage/*.rst) conf.py

SPHINX_OPTS+=-d $(SPHINX_BUILDDIR)/doctrees

all: man html

clean:
	$(call colorecho,RM,doc/$(SPHINX_BUILDDIR))
	$(QUIET)rm -rf $(SPHINX_BUILDDIR)/

$(SPHINX_BUILDDIR)/html/index.html: $(HTML_SOURCES) $(SPHINX_BUILDDIR)/doxygen/xml/index.xml
	$(QUIET)mkdir -p $(SPHINX_BUILDDIR)/html
	$(call colorecho,DOC,"Build HTML documentation")
	$(QUIET)$(SPHINX_BIN) -b html $(SPHINX_OPTS) . $(SPHINX_BUILDDIR)/html

$(SPHINX_BUILDDIR)/zathura.1: $(MAN_SOURCES)
	$(QUIET)mkdir -p $(SPHINX_BUILDDIR)
	$(call colorecho,DOC,"Build man pages")
	$(QUIET)$(SPHINX_BIN) -b man $(SPHINX_OPTS) man $(SPHINX_BUILDDIR)

$(SPHINX_BUILDDIR)/zathurarc.5: $(SPHINX_BUILDDIR)/zathura.1
	@if test -f $@; then :; else \
		rm -f $(SPHINX_BUILDDIR)/zathura.1; \
		$(MAKE) $(SPHINX_BUILDDIR)/zathura.1; \
	fi

$(SPHINX_BUILDDIR)/doxygen/xml/index.xml: $(DOXYGEN_SOURCES)
	$(QUIET)mkdir -p $(SPHINX_BUILDDIR)/doxygen/xml
	$(call colorecho,DOC,"Run doxygen")
	$(QUIET)$(DOXYGEN_BIN) Doxyfile

ifeq ($(shell which $(SPHINX_BIN) >/dev/null 2>&1; echo $$?), 1)
man:
html:
else
man: $(SPHINX_BUILDDIR)/zathura.1 $(SPHINX_BUILDDIR)/zathurarc.5

# TODO: Make a better test for breathe and sphinx_rtd_theme
ifeq ($(shell which $(DOXYGEN_BIN) >/dev/null 2>&1 && $(PYTHON_BIN) -c "import breathe; import sphinx_rtd_theme" >/dev/null 2>&1; echo $$?), 0)
html: $(SPHINX_BUILDDIR)/html/index.html
else
html:
endif
endif

.PHONY: clean html man all

=== tests/Makefile ===
# See LICENSE file for license and copyright information

include ../config.mk
include ../colors.mk
include ../common.mk

include config.mk

PROJECT = tests
SOURCE  = tests.c $(wildcard test_*.c)
OBJECTS       = $(addprefix ${BUILDDIR_RELEASE}/,${SOURCE:.c=.o})
OBJECTS_DEBUG = $(addprefix ${BUILDDIR_DEBUG}/,${SOURCE:.c=.o})
OBJECTS_GCOV  = $(addprefix ${BUILDDIR_GCOV}/,${SOURCE:.c=.o})

FILTER = %/main.o

ifneq (${WITH_SQLITE},0)
CPPFLAGS += -DWITH_SQLITE
else
FILTER += %/database-sqlite.o
endif

ifneq ($(WITH_MAGIC),0)
CPPFLAGS += -DWITH_MAGIC
endif

ifneq ($(WITH_SYNCTEX),0)
CPPFLAGS += -DWITH_SYNCTEX
endif

ZATHURA_OBJECTS =  \
	$(filter-out $(FILTER), $(wildcard ../${BUILDDIR_RELEASE}/zathura/*.o))
ZATHURA_OBJECTS_DEBUG =  \
	$(filter-out $(FILTER), $(wildcard ../${BUILDDIR_DEBUG}/zathura/*.o))
ZATHURA_OBJECTS_GCOV=  \
	$(filter-out $(FILTER), $(wildcard ../${BUILDDIR_GCOV}/zathura/*.o))

ifneq ($(wildcard ${VALGRIND_SUPPRESSION_FILE}),)
VALGRIND_ARGUMENTS += --suppressions=${VALGRIND_SUPPRESSION_FILE}
endif

all: release

# release

${OBJECTS}: config.mk ../config.mk ../zathura/version.h

${BUILDDIR_RELEASE}/%.o: %.c
	$(call colorecho,CC,$<)
	@mkdir -p ${DEPENDDIR}/$(dir $(abspath $@))
	@mkdir -p $(dir $(abspath $@))
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} \
		-o $@ $< -MMD -MF ${DEPENDDIR}/$(abspath $@).dep

${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}: ${OBJECTS}
	$(QUIET)${MAKE} WITH_LIBFIU=1 -C .. ${BUILDDIR_RELEASE}/${BINDIR}/zathura
	$(call colorecho,CC,$@)
	@mkdir -p ${BUILDDIR_RELEASE}/${BINDIR}
	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} \
		-o ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT} \
		${OBJECTS} ${ZATHURA_OBJECTS} ${LIBS}

release: ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}

run: ${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}
	$(QUIET)${FIU_EXEC} ./${BUILDDIR_RELEASE}/${BINDIR}/${PROJECT}

# debug

${OBJECTS_DEBUG}: config.mk ../config.mk ../zathura/version.h

${BUILDDIR_DEBUG}/%.o: %.c
	@mkdir -p ${DEPENDDIR}/$(dir $(abspath $@))
	@mkdir -p $(dir $(abspath $@))
	$(call colorecho,CC,$<)
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} \
		-o $@ $< -MMD -MF ${DEPENDDIR}/$(abspath $@).dep

${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}: ${OBJECTS_DEBUG}
	$(QUIET)${MAKE} WITH_LIBFIU=1 -C .. ${BUILDDIR_DEBUG}/${BINDIR}/zathura
	$(call colorecho,CC,$@)
	@mkdir -p ${BUILDDIR_DEBUG}/${BINDIR}
	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} \
		-o ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT} \
		${OBJECTS} ${ZATHURA_OBJECTS_DEBUG} ${LIBS}

debug: ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}

run-debug: ${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}
	$(QUIET)${FIU_EXEC} ./${BUILDDIR_DEBUG}/${BINDIR}/${PROJECT}

# gcov

${OBJECTS_GCOV}: config.mk ../config.mk ../zathura/version.h

${BUILDDIR_GCOV}/%.o: %.c
	@mkdir -p ${DEPENDDIR}/$(dir $(abspath $@))
	@mkdir -p $(dir $(abspath $@))
	$(call colorecho,CC,$<)
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${GCOV_CFLAGS} ${DFLAGS} ${GCOV_DFLAGS} \
		-o $@ $< -MMD -MF ${DEPENDDIR}/$(abspath $@).dep

${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}: ${OBJECTS_GCOV}
	$(QUIET)${MAKE} WITH_LIBFIU=1 -C .. ${BUILDDIR_GCOV}/${BINDIR}/zathura
	$(call colorecho,CC,$@)
	@mkdir -p ${BUILDDIR_GCOV}/${BINDIR}
	$(QUIET)${CC} ${SFLAGS} ${LDFLAGS} ${GCOV_CFLAGS} ${GCOV_LDFLAGS} \
		-o ${BUILDDIR_GCOV}/${BINDIR}/${PROJECT} \
		${OBJECTS} ${ZATHURA_OBJECTS_GCOV} ${LIBS}

gcov: ${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}

run-gcov: gcov
	$(QUIET)${FIU_EXEC} ./${BUILDDIR_GCOV}/${BINDIR}/${PROJECT}

../zathura/version.h:
	$(MAKE) -C .. zathura/version.h

valgrind: ${PROJECT}-debug
	 $(QUIET)G_SLICE=always-malloc G_DEBUG=gc-friendly ${FIU_EXEC} ${VALGRIND} ${VALGRIND_ARGUMENTS} ./${PROJECT}-debug

clean:
	$(call colorecho,RM, "Clean test files")
	$(QUIET)rm -rf ${PROJECT}
	$(QUIET)rm -rf ${PROJECT}-debug
	$(QUIET)rm -rf ${PROJECT}-gcov
	$(QUIET)rm -rf ${BUILDDIR}
	$(QUIET)rm -rf ${DEPENDDIR}

.PHONY: all clean debug run

-include $(wildcard ${DEPENDDIR}/*.dep)

=== debian/changelog ===
zathura (0.3.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump B-Ds.
    - Bump Standards-Version.
    - Move to salsa.debian.org.
  * debian/zathura.install: Fix install location.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Dec 2017 16:25:20 +0100

=== debian/control ===
Source: zathura
Section: text
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 10),
 gettext,
 libcairo2-dev (>= 1.8.8),
 libgirara-dev (>= 0.2.8),
 libglib2.0-dev (>= 2.50),
 libgtk-3-dev,
 libmagic-dev,
 libsqlite3-dev,
 libsynctex-dev,
 pkg-config,
 check,
 xvfb,
 xauth,
 python3-sphinx
Standards-Version: 4.1.2
Homepage: https://pwmt.org/projects/zathura
Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
Vcs-Browser: https://salsa.debian.org/sramacher/zathura

Package: zathura
Architecture: any
Provides:
 ${zathura:Provides}
Depends:
 zathura-pdf-poppler,
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 www-browser,
 zathura-ps,
 zathura-djvu,
 zathura-cb
Description: document viewer with a minimalistic interface
 zathura is a document viewer with a minimalistic and space saving interface.
 It offers a vim-like experience and has a focus on keyboard interaction.
 The key bindings, commands and most other settings can be customized.
 .
 Some of the features are:
  * bookmarking pages
  * printing the whole document or specific pages
  * following links
  * searching in the document
  * browsing the document index
  * SyncTex forward and backward synchronization
 .
 zathura can be extended to support other file formats via a plugin system.

Package: zathura-dev
Section: libdevel
Architecture: all
Depends:
 ${misc:Depends},
 libgirara-dev (>= 0.2.8),
 libgtk-3-dev,
 libcairo2-dev (>= 1.8.8)
Description: development files for zathura plugins
 zathura is a document viewer with a minimalistic and space saving interface.
 It can be extended to support other file formats via a plugin system.
 .
 This package contains the files to develop plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
# Use all hardening flags for zathura
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# do not strip
export SFLAGS=
# build with verbose output
export VERBOSE=1
# disable check's timeout functionality
export CK_DEFAULT_TIMEOUT=0
# disable colors
export COLOR=0

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a env $(MAKE) test
endif

override_dh_gencontrol:
	PKG_CONFIG_PATH=$(CURDIR) ./debian/dh_zathura \
		-pzathura --substvar=zathura:Provides
	dh_gencontrol

=== debian/watch ===
version=4
https://pwmt.org/projects/zathura/download/ zathura-([0-9.]*)\.tar\.gz

## zathura 0.4.0

=== meson_options.txt ===
option('enable-sqlite',
  type: 'boolean',
  value: true,
  description: 'Enable sqlite support if available.'
)
option('enable-synctex',
  type: 'boolean',
  value: true,
  description: 'Enable synctex support if available.'
)
option('enable-magic',
  type: 'boolean',
  value: true,
  description: 'Enable magic support if available.'
)
option('enable-seccomp',
  type: 'boolean',
  value: false,
  description: 'Enable experimental seccomp support if available.'
)

=== debian/changelog ===
zathura (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Remove patches from upstream.
  * debian/control: Bump Build-Depends on girara.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 May 2018 15:35:32 +0200

zathura (0.3.9-2) unstable; urgency=medium

  * debian/control:
    - Fix meson B-D.
    - Bump Standards-Version.
  * debian/patches: Port to newer libsynctex.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 21 Apr 2018 13:15:53 +0200

zathura (0.3.9-1) unstable; urgency=medium

  * New upstream release.
    - Install icon. (LP: #1422145)
  * debian/control:
    - Bump Standards-Version.
    - Bump (Build-)Depends based on upstream requirements.
    - Convert zathura-dev to Arch: any.
  * debian/:
    - Bump debhelper compat to 11.
    - Convert to meson based buildsystem.
  * debian/dh: Improve dh_zathura to look at symbols and provide debhelper
    sequence.
  * debian/patches: Increase test timeout.
  * debian/copyright: Bump copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Mar 2018 10:35:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  gettext,
  libcairo2-dev (>= 1.8.8),
- libgirara-dev (>= 0.2.8),
+ libgirara-dev (>= 0.3.0),
  libglib2.0-dev (>= 2.50),
- libgtk-3-dev,
+ libgtk-3-dev (>= 3.22),
  libmagic-dev,
  libsqlite3-dev,
  libsynctex-dev,
+ meson (>= 0.45),
  pkg-config,
  check,
  xvfb,
  xauth,
  python3-sphinx
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura
@@ -25,7 +26,7 @@
 Package: zathura
 Architecture: any
 Provides:
- ${zathura:Provides}
+ zathura-abi-4
 Depends:
  zathura-pdf-poppler,
  ${shlibs:Depends},
@@ -52,12 +53,14 @@
 
 Package: zathura-dev
 Section: libdevel
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.2.8),
- libgtk-3-dev,
- libcairo2-dev (>= 1.8.8)
+ libgirara-dev (>= 0.2.9),
+ libgtk-3-dev (>= 3.22),
+ libcairo2-dev (>= 1.8.8),
+ libset-scalar-perl
 Description: development files for zathura plugins
  zathura is a document viewer with a minimalistic and space saving interface.
  It can be extended to support other file formats via a plugin system.

## zathura 0.4.1

=== meson_options.txt ===
--- 
+++ 
@@ -15,6 +15,6 @@
 )
 option('enable-seccomp',
   type: 'boolean',
-  value: false,
+  value: true,
   description: 'Enable experimental seccomp support if available.'
 )

=== debian/changelog ===
zathura (0.4.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Disable automatic dbgsym packages.
  * Add alternate D for zathura-pdf-mupdf.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 25 Oct 2018 18:21:25 -0700

zathura (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Set Rules-Requires-Root: no.
  * debian/zathura.install: Install bash and zsh completions.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Sep 2018 21:35:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 11~),
  gettext,
  libcairo2-dev (>= 1.8.8),
  libgirara-dev (>= 0.3.0),
@@ -18,17 +18,18 @@
  xvfb,
  xauth,
  python3-sphinx
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura
+Rules-Requires-Root: no
 
 Package: zathura
 Architecture: any
 Provides:
  zathura-abi-4
 Depends:
- zathura-pdf-poppler,
+ zathura-pdf-mupdf | zathura-pdf-poppler,
  ${shlibs:Depends},
  ${misc:Depends}
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Use all hardening flags for zathura
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
# Disable check's timeout functionality
export CK_DEFAULT_TIMEOUT=0

%:
	dh $@

debian/dh/dh_zathura.1:
	cd debian/dh && pod2man -c Debhelper -r '' dh_zathura dh_zathura.1

override_dh_auto_build: debian/dh/dh_zathura.1
	dh_auto_build

override_dh_auto_test:
	xvfb-run -a dh_auto_test

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## zathura 0.4.3

=== doc/requirements.txt ===
Jinja2==2.7.2
MarkupSafe==0.19
Pygments==1.6
Sphinx==1.2.2
breathe==1.2.0
docutils==0.11
sphinx-rtd-theme==0.1.6

=== debian/changelog ===
zathura (0.4.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump meson B-D to 0.48.
    - Bump girara (B-)D to 0.3.2.
    - Add librsvg2-bin and libseccomp-dev to B-D.
    - Add appstream-util and desktop-file-utils to B-D for tests.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 22 Dec 2018 16:42:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,20 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 11~),
- gettext,
+ debhelper (>= 11),
  libcairo2-dev (>= 1.8.8),
- libgirara-dev (>= 0.3.0),
+ libgirara-dev (>= 0.3.2),
  libglib2.0-dev (>= 2.50),
  libgtk-3-dev (>= 3.22),
  libmagic-dev,
+ librsvg2-bin,
  libsqlite3-dev,
+ libseccomp-dev,
  libsynctex-dev,
- meson (>= 0.45),
+ meson (>= 0.48),
  pkg-config,
+ appstream-util,
+ desktop-file-utils,
  check,
  xvfb,
  xauth,
@@ -29,7 +32,7 @@
 Provides:
  zathura-abi-4
 Depends:
- zathura-pdf-mupdf | zathura-pdf-poppler,
+ zathura-pdf-poppler,
  ${shlibs:Depends},
  ${misc:Depends}
 Suggests:
@@ -58,7 +61,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.2.9),
+ libgirara-dev (>= 0.3.2),
  libgtk-3-dev (>= 3.22),
  libcairo2-dev (>= 1.8.8),
  libset-scalar-perl

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,3 @@
 
 override_dh_auto_test:
 	xvfb-run -a dh_auto_test
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## zathura 0.4.5

=== debian/changelog ===
zathura (0.4.5-2) unstable; urgency=medium

  * debian/copyright: Document appstream data license
  * debian/control: Add dh-sequence-zathura Provides

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Jan 2020 15:27:59 +0100

zathura (0.4.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Fix day-of-week for changelog entry 0.0.8.2-1.
  * Update standards version to 4.4.1, no changes needed.

  [ Sebastian Ramacher ]
  * New upstream release
    - Fix mouse wheel zoom (Closes: #940815)
  * debian/copyright: Bump copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Jan 2020 10:54:47 +0100

zathura (0.4.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump debhelper compat to 12.
    - Bump Standards-Version.
    - Bump girara B-D to 0.3.3.
  * debian/zathura.install: Update install locations of completions.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Sep 2019 15:15:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libcairo2-dev (>= 1.8.8),
- libgirara-dev (>= 0.3.2),
+ libgirara-dev (>= 0.3.3),
  libglib2.0-dev (>= 2.50),
  libgtk-3-dev (>= 3.22),
  libmagic-dev,
@@ -13,6 +13,7 @@
  libsqlite3-dev,
  libseccomp-dev,
  libsynctex-dev,
+ gettext,
  meson (>= 0.48),
  pkg-config,
  appstream-util,
@@ -21,7 +22,7 @@
  xvfb,
  xauth,
  python3-sphinx
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura
@@ -65,6 +66,8 @@
  libgtk-3-dev (>= 3.22),
  libcairo2-dev (>= 1.8.8),
  libset-scalar-perl
+Provides:
+ dh-sequence-zathura
 Description: development files for zathura plugins
  zathura is a document viewer with a minimalistic and space saving interface.
  It can be extended to support other file formats via a plugin system.

## zathura 0.4.7

=== meson_options.txt ===
option('sqlite',
  type: 'feature',
  value: 'auto',
  description: 'SQLite database backend'
)
option('synctex',
  type: 'feature',
  value: 'auto',
  description: 'SyncTeX integration'
)
option('magic',
  type: 'feature',
  value: 'auto',
  description: 'magic-based MIME type detection'
)
option('seccomp',
  type: 'feature',
  value: 'auto',
  description: 'seccomp-based sandbox'
)
option('manpages',
  type: 'feature',
  value: 'auto',
  description: 'manual pages'
)
option('tests',
  type: 'feature',
  value: 'auto',
  description: 'run tests'
)
option('convert-icon',
  type: 'feature',
  value: 'auto',
  description: 'convert icon to PNG'
)

=== debian/changelog ===
zathura (0.4.7-1) unstable; urgency=medium

  * New upstream release
    - Fix invalid zoom when opening document with "adjust-open width" option
      (Closes: #968082)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 03 Sep 2020 21:47:41 +0200

zathura (0.4.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version
  * debian/: Bump debhelper compat to 13

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 27 Jul 2020 18:37:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libcairo2-dev (>= 1.8.8),
  libgirara-dev (>= 0.3.3),
  libglib2.0-dev (>= 2.50),
@@ -22,7 +22,7 @@
  xvfb,
  xauth,
  python3-sphinx
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura

## zathura 0.4.9

=== debian/changelog ===
zathura (0.4.9-1) unstable; urgency=medium

  * New upstream version 0.4.9
  * debian/control:
    - Build depend on libgirara-dev 0.3.7
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Feb 2022 19:35:36 +0100

zathura (0.4.8-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Aug 2021 22:11:58 +0200

zathura (0.4.8-1) experimental; urgency=medium

  * New upstream release
  * debian/control:
    - Bump Standards-Version
    - Bump girara B-D

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Jul 2021 21:36:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libcairo2-dev (>= 1.8.8),
- libgirara-dev (>= 0.3.3),
+ libgirara-dev (>= 0.3.7),
  libglib2.0-dev (>= 2.50),
  libgtk-3-dev (>= 3.22),
  libmagic-dev,
@@ -22,7 +22,7 @@
  xvfb,
  xauth,
  python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura
@@ -62,7 +62,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.3.2),
+ libgirara-dev (>= 0.3.7),
  libgtk-3-dev (>= 3.22),
  libcairo2-dev (>= 1.8.8),
  libset-scalar-perl

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,8 @@
 %:
 	dh $@
 
-debian/dh/dh_zathura.1:
+execute_before_dh_auto_build:
 	cd debian/dh && pod2man -c Debhelper -r '' dh_zathura dh_zathura.1
-
-override_dh_auto_build: debian/dh/dh_zathura.1
-	dh_auto_build
 
 override_dh_auto_test:
 	xvfb-run -a dh_auto_test

## zathura 0.5.2

=== debian/changelog ===
zathura (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * debian/control: Bump ABI version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 27 Nov 2022 17:34:02 +0100

zathura (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 09 Sep 2022 00:24:26 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  xvfb,
  xauth,
  python3-sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura
@@ -31,7 +31,7 @@
 Package: zathura
 Architecture: any
 Provides:
- zathura-abi-4
+ zathura-abi-5
 Depends:
  zathura-pdf-poppler,
  ${shlibs:Depends},

## zathura 0.5.4

=== meson_options.txt ===
--- 
+++ 
@@ -7,11 +7,6 @@
   type: 'feature',
   value: 'auto',
   description: 'SyncTeX integration'
-)
-option('magic',
-  type: 'feature',
-  value: 'auto',
-  description: 'magic-based MIME type detection'
 )
 option('seccomp',
   type: 'feature',

=== debian/changelog ===
zathura (0.5.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:54:18 +1100

zathura (0.5.4-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:20:49 +0000

zathura (0.5.4-1) unstable; urgency=medium

  * New upstream version 0.5.4

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 09 Dec 2023 22:05:39 +0100

zathura (0.5.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Sebastian Ramacher ]
  * New upstream version 0.5.3
  * debian/control:
    - Bump Standards-Version
    - Include PDF in Description (LP: #2031643)
    - Bump ABI version
    - Bump dependencies on girara
  * debian/rules: Refactor

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 08 Dec 2023 18:57:16 +0100

=== debian/control ===
Source: zathura
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libcairo2-dev,
 libgirara-dev (>= 0.4.1),
 libglib2.0-dev,
 libgtk-3-dev,
 libmagic-dev,
 librsvg2-bin,
 libsqlite3-dev,
 libseccomp-dev,
 libsynctex-dev,
 gettext,
 meson,
 pkg-config,
 appstream-util,
 desktop-file-utils,
 check,
 xvfb,
 xauth,
 python3-sphinx
Standards-Version: 4.6.2
Homepage: https://pwmt.org/projects/zathura
Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
Vcs-Browser: https://salsa.debian.org/sramacher/zathura
Rules-Requires-Root: no

Package: zathura
Architecture: any
Provides:
 zathura-abi-6
Depends:
 zathura-pdf-poppler,
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 www-browser,
 zathura-ps,
 zathura-djvu,
 zathura-cb
Description: document viewer with a minimalistic interface
 zathura is a document viewer for PDF and other formats with a minimalistic and
 space saving interface. It offers a vim-like experience and has a focus on
 keyboard interaction. The key bindings, commands and most other settings can
 be customized.
 .
 Some of the features are:
  * bookmarking pages
  * printing the whole document or specific pages
  * following links
  * searching in the document
  * browsing the document index
  * SyncTex forward and backward synchronization
 .
 zathura can be extended to support other file formats via a plugin system.

Package: zathura-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libgirara-dev (>= 0.4.1),
 libgtk-3-dev,
 libcairo2-dev,
 libset-scalar-perl
Provides:
 dh-sequence-zathura
Description: development files for zathura plugins
 zathura is a document viewer for PDF and other formats with a minimalistic and
 space saving interface. It offers a vim-like experience and has a focus on
 keyboard interaction. The key bindings, commands and most other settings can
 be customized.
 .
 This package contains the files to develop plugins.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,3 @@
 
 execute_before_dh_auto_build:
 	cd debian/dh && pod2man -c Debhelper -r '' dh_zathura dh_zathura.1
-
-override_dh_auto_test:
-	xvfb-run -a dh_auto_test

## zathura 0.5.6

=== debian/changelog ===
zathura (0.5.6-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 0.5.6
  * debian/control: Bump Standards version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 May 2024 23:46:26 +0200

zathura (0.5.5-1) experimental; urgency=medium

  * New upstream version 0.5.5
  * debian/control:
    - Bump girara to 0.4.3
    - Switch to pkgconf
    - Mark test dependencies with !nocheck
  * debian/patches: Remove no longer required patches

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Mar 2024 18:21:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: zathura
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libcairo2-dev,
- libgirara-dev (>= 0.4.1),
+ libgirara-dev (>= 0.4.3),
  libglib2.0-dev,
  libgtk-3-dev,
  libmagic-dev,
@@ -16,14 +15,14 @@
  libsynctex-dev,
  gettext,
  meson,
- pkg-config,
- appstream-util,
- desktop-file-utils,
- check,
- xvfb,
- xauth,
+ pkgconf,
+ appstream-util <!nocheck>,
+ desktop-file-utils <!nocheck>,
+ check <!nocheck>,
+ xvfb <!nocheck>,
+ xauth <!nocheck>,
  python3-sphinx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura
@@ -64,7 +63,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.4.1),
+ libgirara-dev (>= 0.4.3),
  libgtk-3-dev,
  libcairo2-dev,
  libset-scalar-perl

## zathura 0.5.8

=== debian/changelog ===
zathura (0.5.8-1) unstable; urgency=medium

  * New upstream version 0.5.8
  * debian/control: Bump plugin ABI (Closes: #1077898)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Aug 2024 11:12:44 +0200

zathura (0.5.7-2) unstable; urgency=medium

  * debian/control: Remove check from Build-Depends

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Aug 2024 00:16:50 +0200

zathura (0.5.7-1) unstable; urgency=medium

  * New upstream version 0.5.7
    - Fix display issues with documents having multiple page sizes (Closes:
      #1065319)
    - Add support for loong64 (Closes: 1071025)
  * debian/zathura.install: Install zathura-sandbox binary.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Aug 2024 00:08:23 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  pkgconf,
  appstream-util <!nocheck>,
  desktop-file-utils <!nocheck>,
- check <!nocheck>,
  xvfb <!nocheck>,
  xauth <!nocheck>,
  python3-sphinx
@@ -31,7 +30,7 @@
 Package: zathura
 Architecture: any
 Provides:
- zathura-abi-6
+ zathura-abi-7
 Depends:
  zathura-pdf-poppler,
  ${shlibs:Depends},

## zathura 0.5.11

=== debian/changelog ===
zathura (0.5.11-1) unstable; urgency=medium

  * New upstream version 0.5.11

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 18 Dec 2024 00:33:12 +0100

zathura (0.5.10-1) unstable; urgency=medium

  * New upstream version 0.5.10

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 10 Dec 2024 22:32:04 +0100

zathura (0.5.9-1) unstable; urgency=medium

  * New upstream version 0.5.9
    - Revert changes for multi-size documents (Closes: #1086391)
  * debian/control: Bump libgirara-dev to 0.4.5

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 09 Dec 2024 23:42:53 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libcairo2-dev,
- libgirara-dev (>= 0.4.3),
+ libgirara-dev (>= 0.4.5),
  libglib2.0-dev,
  libgtk-3-dev,
  libmagic-dev,
@@ -62,7 +62,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.4.3),
+ libgirara-dev (>= 0.4.5),
  libgtk-3-dev,
  libcairo2-dev,
  libset-scalar-perl

## zathura 0.5.12

=== meson_options.txt ===
--- 
+++ 
@@ -1,8 +1,3 @@
-option('sqlite',
-  type: 'feature',
-  value: 'auto',
-  description: 'SQLite database backend'
-)
 option('synctex',
   type: 'feature',
   value: 'auto',
@@ -12,6 +7,11 @@
   type: 'feature',
   value: 'auto',
   description: 'seccomp-based sandbox'
+)
+option('landlock',
+  type: 'feature',
+  value: 'auto',
+  description: 'landlock-based sandbox'
 )
 option('manpages',
   type: 'feature',

=== debian/changelog ===
zathura (0.5.12-3) unstable; urgency=medium

  * debian/patches: Fix types to fix flag handling on s390x

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 07 Jul 2025 21:56:12 +0200

zathura (0.5.12-2) unstable; urgency=medium

  * debian/tests: Check that plugins can be loaded

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 04 Jul 2025 09:12:58 +0200

zathura (0.5.12-1) experimental; urgency=medium

  * New upstream version 0.5.12
    - Fix rendering of large documents (Closes: #1079283)
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 03 Jul 2025 23:40:33 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  xvfb <!nocheck>,
  xauth <!nocheck>,
  python3-sphinx
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura

## zathura 0.5.13

=== debian/changelog ===
zathura (0.5.13-1) unstable; urgency=medium

  * New upstream version 0.5.13
  * debian/patches: Remove patches included upstream
  * debian/control: Replace appstream-cli with appstream

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 24 Sep 2025 11:42:05 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  gettext,
  meson,
  pkgconf,
- appstream-util <!nocheck>,
+ appstream <!nocheck>,
  desktop-file-utils <!nocheck>,
  xvfb <!nocheck>,
  xauth <!nocheck>,

## zathura 0.5.14

=== debian/changelog ===
zathura (0.5.14-3) unstable; urgency=medium

  * debian/patches: Apply upstream patch to fix FTBFS on armhf

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 31 Oct 2025 21:34:39 +0100

zathura (0.5.14-2) unstable; urgency=medium

  * debian/patches: Apply upstream patches to fix build on 32 bit release
    architectures

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 30 Oct 2025 21:00:26 +0100

zathura (0.5.14-1) unstable; urgency=medium

  * New upstream version 0.5.14
    - Remove plain database conversion (Closes: #1077961)
  * debian/control: Add Build-Depends on weston for new tests

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 27 Oct 2025 22:08:57 +0100

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  desktop-file-utils <!nocheck>,
  xvfb <!nocheck>,
  xauth <!nocheck>,
+ weston <!nocheck>,
  python3-sphinx
 Standards-Version: 4.7.2
 Homepage: https://pwmt.org/projects/zathura

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 
 # Use all hardening flags for zathura
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-# Disable check's timeout functionality
-export CK_DEFAULT_TIMEOUT=0
 
 %:
 	dh $@

=== debian/tests/control ===
Tests: plugin-pdf
Depends:
 zathura

Tests: plugins-all
Depends:
 zathura,
 zathura-cb,
 zathura-djvu,
 zathura-ps

## zathura 2026.02.03

=== debian/changelog ===
zathura (2026.02.03-1) unstable; urgency=medium

  * New upstream version 2026.02.03
  * debian/control:
    - Bump Standards-Version
    - Drop RRR: no
    - Drop Priority: optional
    - Bump libgirara-dev to 2026.02.03
    - Add libjson-glib-dev to Build-Depends
  * debian/patches: Remove patches included upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 07 Feb 2026 21:48:52 +0100

## zathura 2026.02.09

=== debian/changelog ===
zathura (2026.02.09-1) unstable; urgency=medium

  * New upstream version 2026.02.09

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 10 Feb 2026 00:09:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,46 +1,45 @@
 Source: zathura
 Section: text
-Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ appstream <!nocheck>,
+ desktop-file-utils <!nocheck>,
+ gettext,
  libcairo2-dev,
- libgirara-dev (>= 0.4.5),
+ libgirara-dev (>= 2026.02.03),
  libglib2.0-dev,
  libgtk-3-dev,
+ libjson-glib-dev,
  libmagic-dev,
  librsvg2-bin,
+ libseccomp-dev,
  libsqlite3-dev,
- libseccomp-dev,
  libsynctex-dev,
- gettext,
  meson,
  pkgconf,
- appstream <!nocheck>,
- desktop-file-utils <!nocheck>,
+ python3-sphinx,
+ weston <!nocheck>,
+ xauth <!nocheck>,
  xvfb <!nocheck>,
- xauth <!nocheck>,
- weston <!nocheck>,
- python3-sphinx
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura
-Rules-Requires-Root: no
 
 Package: zathura
 Architecture: any
 Provides:
- zathura-abi-7
+ zathura-abi-7,
 Depends:
  zathura-pdf-poppler,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends}
 Suggests:
  www-browser,
+ zathura-cb,
+ zathura-djvu,
  zathura-ps,
- zathura-djvu,
- zathura-cb
 Description: document viewer with a minimalistic interface
  zathura is a document viewer for PDF and other formats with a minimalistic and
  space saving interface. It offers a vim-like experience and has a focus on
@@ -62,13 +61,13 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libcairo2-dev,
+ libgirara-dev (>= 2026.02.03),
+ libgtk-3-dev,
+ libset-scalar-perl,
  ${misc:Depends},
- libgirara-dev (>= 0.4.5),
- libgtk-3-dev,
- libcairo2-dev,
- libset-scalar-perl
 Provides:
- dh-sequence-zathura
+ dh-sequence-zathura,
 Description: development files for zathura plugins
  zathura is a document viewer for PDF and other formats with a minimalistic and
  space saving interface. It offers a vim-like experience and has a focus on

## zathura 2026.02.22

=== debian/changelog ===
zathura (2026.02.22-1) unstable; urgency=medium

  * New upstream version 2026.02.22

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Feb 2026 20:41:36 +0100

=== debian/tests/control ===
Tests:
 plugin-pdf,
Depends:
 zathura,

Tests:
 plugins-all,
Depends:
 zathura,
 zathura-cb,
 zathura-djvu,
 zathura-ps,

=== debian/watch ===
Version: 5

Source: https://pwmt.org/projects/zathura/download/
Matching-Pattern: zathura-(.*)\.tar\.xz
